package com.shopee.sandynie.cart.greendao;

import java.util.Map;

import org.greenrobot.greendao.AbstractDao;
import org.greenrobot.greendao.AbstractDaoSession;
import org.greenrobot.greendao.database.Database;
import org.greenrobot.greendao.identityscope.IdentityScopeType;
import org.greenrobot.greendao.internal.DaoConfig;

import com.shopee.sandynie.cart.daoentity.CatBreedEntity;

import com.shopee.sandynie.cart.greendao.CatBreedEntityDao;

// THIS CODE IS GENERATED BY greenDAO, DO NOT EDIT.

/**
 * {@inheritDoc}
 * 
 * @see org.greenrobot.greendao.AbstractDaoSession
 */
public class DaoSession extends AbstractDaoSession {

    private final DaoConfig catBreedEntityDaoConfig;

    private final CatBreedEntityDao catBreedEntityDao;

    public DaoSession(Database db, IdentityScopeType type, Map<Class<? extends AbstractDao<?, ?>>, DaoConfig>
            daoConfigMap) {
        super(db);

        catBreedEntityDaoConfig = daoConfigMap.get(CatBreedEntityDao.class).clone();
        catBreedEntityDaoConfig.initIdentityScope(type);

        catBreedEntityDao = new CatBreedEntityDao(catBreedEntityDaoConfig, this);

        registerDao(CatBreedEntity.class, catBreedEntityDao);
    }
    
    public void clear() {
        catBreedEntityDaoConfig.clearIdentityScope();
    }

    public CatBreedEntityDao getCatBreedEntityDao() {
        return catBreedEntityDao;
    }

}
